Skip to main content
POST
/
v1
/
chunked-files
/
{chunkedFileId}
/
part
Add Chunked File Part
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/chunked-files/{chunkedFileId}/part \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'chunkedFilePart={
  "offset": 1,
  "size": 1
}' \
  --form fileChunk='@example-file'
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/chunked-files/{chunkedFileId}/part"

files = { "fileChunk": ("example-file", open("example-file", "rb")) }
payload = { "chunkedFilePart": "{
  \"offset\": 1,
  \"size\": 1
}" }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('chunkedFilePart', '{
  "offset": 1,
  "size": 1
}');
form.append('fileChunk', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://{tenant}.mindbridge.ai/api/v1/chunked-files/{chunkedFileId}/part', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

content-type
enum<string>
Available options:
multipart/form-data

Path Parameters

chunkedFileId
string
required

Body

multipart/form-data
chunkedFilePart
Chunked File Part · object
required
fileChunk
file
required

Response

204

No Content